# Record Class LCaption

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LCaption

Record Components:
  `id` - The ID
  `name` - The caption
  `count` - The number of images to which the caption is assigned

All Implemented Interfaces:
  `Comparable<LCaption>`

public record LCaption(LCaptionID id, LCaptionName name, long count) extends Record implements Comparable<LCaption>
A caption along with its ID.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCaption(LCaptionID id, LCaptionName name, long count)`
  A caption along with its ID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(LCaption other)`
  `long`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `LCaptionID`
  `id()`
  Returns the value of the `id` record component.
  `LCaptionName`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LCaption

    public LCaption(LCaptionID id, LCaptionName name, long count)
    A caption along with its ID.
    Parameters:
      `id` - The ID
      `name` - The caption
      `count` - The number of images to which the caption is assigned

- ## Method Details

  - ### compareTo

    public int compareTo(LCaption other)
    Specified by:
      `compareTo` in interface `Comparable<LCaption>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public LCaptionID id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### name

    public LCaptionName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### count

    public long count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component